DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MeasurementObjectValue

Object value access function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementObjectValue ( measurement, featureID, objectID, data, format, resources )

## FUNCTION

The `MeasurementObjectData`, `MeasurementObjectValue` and `MeasurementFeatureDescription` functions provide access to the functions that are registered by each measurement function. See also `MeasurementFeatureRegister`.

The `MeasurementObjectValue` function provides access to the measurement values produced by the `featureID` measurement function measured on the `objectID` labeled object. The format of `data` is specified by `format`.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_int` | `objectID` | Object ID
`void **` | `data` | Pointer to data pointer
`dipf_MeasurementValueFormat *` | `format` | Pointer to the data format label
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

Measurement data formats

Name | Description
`DIP_MSR_VALUE_FORMAT_INTEGER` | Integer scalar data format
`DIP_MSR_VALUE_FORMAT_FLOAT` | Float scalar data format
`DIP_MSR_VALUE_FORMAT_INTEGER_ARRAY` | Integer array data format
`DIP_MSR_VALUE_FORMAT_FLOAT_ARRAY` | Float array data format
`DIP_MSR_VALUE_FORMAT_IMAGE` | Data is formatted as an `dip_Image`

## SEE ALSO

`Measure`, `MeasurementNew`, `MeasurementObjects`, `MeasurementObjectData`, `MeasurementObjectValue`, `MeasurementFeatureDescription`, `MeasurementFeatureFormat`, `MeasurementFeatureSize`, `MeasurementFeatureRegister`, `MeasurementFeatureRegistryList`, `MeasurementFeatureRegistryGet`, `MeasurementFeatureRegistryFeatureDescription`, `MeasurementFeatureRegistryFeatureNeedsIntensityImage`